#
# spec file for package sqlite (Version 3.2.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip update-desktop-files util-linux vim zlib zlib-devel

Name:           sqlite
BuildRequires:  readline-devel tcl-devel update-desktop-files
License:        distributable, Other License(s), see package
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
URL:            http://www.sqlite.org/
Version:        3.2.8
Release:        15.2
Source0:        http://www.sqlite.org/%name-%version.tar.bz2
Source1:        sqlite.desktop
Source2:        sqlite-check_fsync_dir.c
Patch0:         %name.diff
Patch1:         disable-broken-threading-implementation-workaround.diff
Patch2:         %{name}-test-notime.diff
Patch3:         fix-64bit.diff
Patch4:         fix-64bit-2.diff
Patch5:         fix-64bit-3.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server; SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command-line tool or via any
application that supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%debug_package
%package tcl
Group:          Productivity/Databases/Servers
Summary:        Tcl binding for SQLite

%description tcl
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

This package contains an extension for the Tcl programming language to
access SQLite databases.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%package devel
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
Requires:       %name = %version glibc-devel

%description devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server; SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command-line tool or via any
application which supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%prep
%setup -q
%patch0
# there will be a #define in 3.3, which is doing the same
# this was only a workaround for broken thread implementations
%patch1
%patch2 -p1
%ifarch x86_64 ppc64 s390x ia64 mips64
%patch3
%endif
%patch4
%patch5
# does not work due to our ulimits in our build system
rm test/bigfile.test
autoconf

%build
  export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG=1 -fno-strict-aliasing"
  export CXXFLAGS="$CFLAGS"
  mkdir build
  cd build
  cp ../VERSION .
  ../configure \
    --prefix=/usr \
    --libdir=%_libdir \
    --mandir=%_mandir \
    --enable-threadsafe \
    --enable-releasemode \
    --enable-tempstore=yes \
    --sysconfdir=/etc/
  make
  make doc
  #
  # check if fsync() on directories works with the current file
  # system, and skip the test suite if it doesn't.
  # As of this writing, fsync() fails on directories inside tmpfs.
  # 
  gcc %optflags -o check_fsync_dir %SOURCE2
  if ./check_fsync_dir; then
	make fulltest
  fi

%install
  cd build
  make install \
	DESTDIR="$RPM_BUILD_ROOT" \
	tclscriptdir=%tclscriptdir \
	tcllibdir=%_libdir
  install -d $RPM_BUILD_ROOT%_mandir/man1/
  install ../sqlite3.1 $RPM_BUILD_ROOT%_mandir/man1/
  sed -i 's,%buildroot,,' %buildroot/%tclscriptdir/sqlite*/pkgIndex.tcl
  #
  # install the susehelp meta file
  mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
  install -m 0644 %SOURCE1 \
  	$RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
  %suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/%name.desktop
  

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/sqlite3
%_mandir/man1/*
%_libdir/libsqlite*.so.*

%files tcl
%defattr(-,root,root)
%_libdir/libtclsqlite*.so

%tclscriptdir

%files devel
%defattr(-,root,root)
%doc build/doc/*
%doc /usr/share/susehelp
/usr/include/sqlite3.h
%_libdir/libsqlite*.a
%_libdir/libsqlite*.la
%_libdir/libsqlite*.so
%_libdir/pkgconfig/sqlite3.pc

%changelog -n sqlite
* Wed Mar 22 2006 - schwab@suse.de
- Fix another 64bit bug.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - adrian@suse.de
- disable "same thread check". It is only needed with broken
  thread implementations and will be similar offered in sqlite 3.3
* Wed Jan 04 2006 - adrian@suse.de
- update to version 3.2.8
  * bugfix release
* Tue Jan 03 2006 - rguenthe@suse.de
- Correct 64bit issues causing x86_64 testsuite failures.
* Fri Dec 02 2005 - jw@suse.de
- VERSION parsing back to normal.
  3002007 looks better than 3000000
* Mon Oct 24 2005 - adrian@suse.de
- fix build for 64bit
* Mon Oct 17 2005 - adrian@suse.de
- update to version 3.2.7
  * needed an additional fix for conflict.test
* Tue Aug 30 2005 - jw@suse.de
- disabled a timing test. This fixes failed builds
  on heavy loaded autobuild hosts.
* Wed Jun 29 2005 - jw@suse.de
- configure script fixed: VERSION was misparsed.
* Mon Jun 27 2005 - max@suse.de
- Skip the testsuite if the underlaying file system doesn't
  support fsync() on directories (e.g. tmpfs).
* Tue Jun 21 2005 - max@suse.de
- Update to version 3.2.2.
- Improved installation of the Tcl package.
* Thu Apr 21 2005 - max@suse.de
- Disabling of certain tests for certain architectures does not
  seem to be needed anymore.
* Wed Apr 20 2005 - ro@suse.de
- get patch to even apply
* Tue Apr 19 2005 - max@suse.de
- Added a subpackage for the Tcl extension.
* Fri Apr 08 2005 - adrian@suse.de
- update to version 3.2.1
* Tue Mar 29 2005 - adrian@suse.de
- update to version 3.2.0
* Mon Feb 28 2005 - adrian@suse.de
- update to version 3.1.3
  * a minor bugfix for VACUUM databases
  * to remain compatible with future 3.2 databases
- obsoletes a testsuite workaround
* Fri Feb 18 2005 - adrian@suse.de
- fix library versioning
* Wed Feb 16 2005 - adrian@suse.de
- update to version 3.1.2
  * contains a criticial bugsfix, which can corrupted the database
  when using the VACUUM command
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.0.8
* Mon Nov 15 2004 - adrian@suse.de
- add susehelp desktop file for developer documentation
* Mon Nov 15 2004 - adrian@suse.de
- fix libdir path in .la file for lib64 systems
* Mon Oct 25 2004 - adrian@suse.de
- enable utf-8 support
* Fri Jul 30 2004 - adrian@suse.de
- run "make alltest"
* Thu Jul 29 2004 - adrian@suse.de
- update to version 2.8.15
- disable wrong tcl test case on 64bit
* Mon Jun 21 2004 - adrian@suse.de
- update to version 2.8.14
* Tue Jun 01 2004 - adrian@suse.de
- package sqlite man page
* Fri Apr 23 2004 - adrian@suse.de
- update to version 2.8.13
* Mon Mar 01 2004 - adrian@suse.de
- disable format3 test case for ppc for now
* Sun Feb 29 2004 - adrian@suse.de
- update to version 2.8.12
- add usual 64bit fixes
- add -fno-strict-aliasing
- disable bigfile test case due to limits in autobuild
* Thu Jan 22 2004 - adrian@suse.de
- update to version 2.8.11
  * one testcase fails on ppc, our ppc people will have a look
* Mon Dec 29 2003 - adrian@suse.de
- update to version 2.8.8
  * several 64 bit fixes have been merged, some more are needed now
- ignore some not exact matching float test cases on s390*
- enable threading support
* Tue Dec 02 2003 - adrian@suse.de
- initial package of version 2.8.6
- a number of 64bit fixes
- some test cases got disabled, because they use an invalid Tcl
  Interface for 64bit
